Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.raster
Class VMemByteRasterImage

    java.lang.Object
      |
      +--com.sun.jimi.core.raster.JimiRasterImageSupport
            |
            +--com.sun.jimi.core.raster.MemoryByteRasterImage
                  |
                  +--com.sun.jimi.core.raster.VMemByteRasterImage

public class VMemByteRasterImage
extends MemoryByteRasterImage

Virtual-memory based implementation of ByteRasterImage.

Field Summary
`protected BytePageMapper` | `pageMapper`
`protected byte[]` | `pixelBuf`
`protected byte[]` | `rowBuffer`

Fields inherited from class com.sun.jimi.core.raster.MemoryByteRasterImage
`imageData, pixelBuffer`

Fields inherited from class com.sun.jimi.core.raster.JimiRasterImageSupport
`abort, colorModel, error, finished, forceRGB, modified, newFrameData, productionAllowed, productionStarted, properties, rowBuf, sourceColorModel, waitForOptions`

Constructor Summary
`VMemByteRasterImage(RandomAccessStorage storage, int width, int height, java.awt.image.ColorModel cm)`

Method Summary
`byte[]` | `asByteArray()`
`byte` | `getPixel(int x, int y)`
`void` | `getRectangle(int x, int y, int width, int height, byte[] buffer, int offset, int scansize)`
`int` | `getRectangleRGB(int x, int y)`
`void` | `getRectangleRGB(int x, int y, int width, int height, int[] buffer, int offset, int scansize)`
`protected void` | `initStorage()`
`protected void` | `sendRegionToConsumerFully(java.awt.image.ImageConsumer consumer, java.awt.Rectangle region)`
`protected void` | `sendToConsumerFully(java.awt.image.ImageConsumer consumer)`
`void` | `storePixel(int x, int y, byte value)`
`void` | `storeRectangle(int x, int y, int width, int height, byte[] pixels, int offset, int scansize)`

Methods inherited from class com.sun.jimi.core.raster.MemoryByteRasterImage
`getAppropriateColorModel, getPixelRGB, getRectanglePacked, getRow, getRowPacked, getRowRGB, sendPixel, sendRectangle, sendRow, setPixel, setRectangle, setRectanglePacked, setRow, setRowPacked, storeRow`

Methods inherited from class com.sun.jimi.core.raster.JimiRasterImageSupport
`addConsumer, addDirectConsumer, addWaitingConsumer, catchupConsumer, getChannelRectangle, getChannelRow, getColorModel, getCroppedImageProducer, getDirectConsumer, getFactory, getHeight, getImageProducer, getOptions, getProperties, getRectangleARGBChannels, getRectangleRGBAChannels, getRectangleRGBChannels, getWidth, hasDirectConsumer, initConsumer, isConsumer, isError, mustWaitForOptions, produceCroppedImage, removeConsumer, requestTopDownLeftRightResend, setColorModel, setDecodingController, setError, setFactory, setFinished, setImageConsumerHints, setModified, setOptions, setWaitForOptions, startProduction, waitFinished, waitInfoAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pageMapper

    protected BytePageMapper pageMapper

### rowBuffer

    protected byte[] rowBuffer

### pixelBuf

    protected byte[] pixelBuf

Constructor Detail

### VMemByteRasterImage

    public VMemByteRasterImage(RandomAccessStorage storage,
                               int width,
                               int height,
                               java.awt.image.ColorModel cm)
                        throws JimiException

Method Detail

### initStorage

    protected void initStorage()
                        throws JimiException

  Overrides:
    initStorage in class MemoryByteRasterImage

### getRectangleRGB

    public void getRectangleRGB(int x,
                                int y,
                                int width,
                                int height,
                                int[] buffer,
                                int offset,
                                int scansize)
                         throws ImageAccessException

  Overrides:
    getRectangleRGB in class MemoryByteRasterImage

### getRectangle

    public void getRectangle(int x,
                             int y,
                             int width,
                             int height,
                             byte[] buffer,
                             int offset,
                             int scansize)
                      throws ImageAccessException

  Overrides:
    getRectangle in class MemoryByteRasterImage

### getPixel

    public byte getPixel(int x,
                         int y)
                  throws ImageAccessException

  Overrides:
    getPixel in class MemoryByteRasterImage

### getRectangleRGB

    public int getRectangleRGB(int x,
                               int y)
                        throws ImageAccessException

### storeRectangle

    public void storeRectangle(int x,
                               int y,
                               int width,
                               int height,
                               byte[] pixels,
                               int offset,
                               int scansize)
                        throws ImageAccessException

  Overrides:
    storeRectangle in class MemoryByteRasterImage

### storePixel

    public void storePixel(int x,
                           int y,
                           byte value)
                    throws ImageAccessException

  Overrides:
    storePixel in class MemoryByteRasterImage

### sendToConsumerFully

    protected void sendToConsumerFully(java.awt.image.ImageConsumer consumer)
                                throws ImageAccessException

  Overrides:
    sendToConsumerFully in class MemoryByteRasterImage

### sendRegionToConsumerFully

    protected void sendRegionToConsumerFully(java.awt.image.ImageConsumer consumer,
                                             java.awt.Rectangle region)
                                      throws ImageAccessException

  Overrides:
    sendRegionToConsumerFully in class MemoryByteRasterImage

### asByteArray

    public byte[] asByteArray()

  Overrides:
    asByteArray in class MemoryByteRasterImage

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD